"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const express = require("express");
const logger = require("./log");
const bodyParser = require("body-parser");
const app = express();
app.use(bodyParser.urlencoded({ extended: false }));
app.use(bodyParser.json());
app.post('/entry', (req, res) => {
    const reqData = req.body;
    logger.info(`${reqData.device} arrives`);
    logger.info(JSON.stringify(reqData));
    res.send('OK');
});
app.post('/exit', (req, res) => {
    const reqData = req.body;
    logger.info(`${reqData.device} leaves`);
    logger.info(JSON.stringify(reqData));
    res.send('OK');
});
const server = app.listen(8000, '', () => {
    logger.info('geofences server listening');
});
//# sourceMappingURL=main.js.map