import * as http from 'http'
import * as express from 'express'
import * as logger from './log'
import * as bodyParser from 'body-parser'

const app = express()
app.use(bodyParser.urlencoded({ extended: false }));
app.use(bodyParser.json());


app.post('/entry', (req, res) => {
    const reqData = req.body
    logger.info(`${reqData.device} arrives`)
    logger.info(JSON.stringify(reqData))
    res.send('OK')
})
 
app.post('/exit', (req, res) => {
    const reqData = req.body
    logger.info(`${reqData.device} leaves`)
    logger.info(JSON.stringify(reqData))
    res.send('OK')
})
 



const server = app.listen(8000, '', () => {
    logger.info('geofences server listening')
})